#define TIMEDBG false

//#include <Arduino.h>

#include "led_clock.hpp"
#include "led_clock_time.hpp"

led_clock ledclock;
led_clock_time ledclocktime;

void setup() {

  ESP.wdtEnable(5000);
  Serial.begin(115200);

  ledclock.init( ledclock.TEST_NONE );
  ledclock.init_show_ring_wifi();
  ledclock.show_ring_wifi(false);
  ledclocktime.init(TIMEDBG);
  ledclock.init_show_ring_wifi();
  ledclock.show_ring_wifi(ledclocktime.isConnectedToWifi());
  
}

uint32_t inf_hour = 0;
uint32_t inf_minute = 0;
uint32_t inf_second = 0;

void loop() {

  ledclocktime.gettime(&inf_hour,&inf_minute,&inf_second);
  ledclock.showtime(inf_hour,inf_minute,inf_second, ledclocktime.isTimenSynced(), ledclocktime.isConnectedToWifi());
  
}